Loading...
Searching...
No Matches
Opm::GasLiftSingleWellGeneric< Scalar, IndexTraits >::OptimizeState Struct Reference

## Public Member Functions

| OptimizeState (GasLiftSingleWellGeneric &parent_, bool increase_)
std::pair< std::optional< Scalar >, bool > | addOrSubtractAlqIncrement (Scalar alq)
Scalar | calcEcoGradient (Scalar oil_rate, Scalar new_oil_rate, Scalar gas_rate, Scalar new_gas_rate)
bool | checkAlqOutsideLimits (Scalar alq, Scalar oil_rate)
bool | checkEcoGradient (Scalar gradient)
bool | checkOilRateExceedsTarget (Scalar oil_rate)
bool | checkRatesViolated (const LimitedRates &rates) const
void | debugShowIterationInfo (Scalar alq)
Scalar | getBhpWithLimit ()
void | warn_ (const std::string &msg)

## Public Attributes

GasLiftSingleWellGeneric & | parent
bool | increase
int | it
bool | stop_iteration
Scalar | bhp

The documentation for this struct was generated from the following files:

- opm/simulators/wells/GasLiftSingleWellGeneric.hpp
- opm/simulators/wells/GasLiftSingleWellGeneric.cpp